## kind 0.27.0

=== images/haproxy/Makefile ===
include $(CURDIR)/../Makefile.common.in

=== images/local-path-helper/Makefile ===
# Copyright 2022 The Kubernetes Authors.
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.

include $(CURDIR)/../Makefile.common.in

## kind 0.23.0

=== debian/changelog ===
kind (0.23.0-1ubuntu0.1) oracular-security; urgency=medium

  * No change rebuild due to golang-1.22 update

 -- Evan Caville <evan.caville@canonical.com>  Wed, 02 Jul 2025 14:59:56 +1000

kind (0.23.0-1) unstable; urgency=medium

  * Initial release (Closes: #1006737)

 -- Arthur Diniz <arthurbdiniz@gmail.com>  Tue, 28 May 2024 17:11:56 +0100

=== debian/control ===
Source: kind
Section: devel
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Kubernetes Packaging Team <team+kubernetes@tracker.debian.org>
Uploaders: Arthur Diniz <arthurbdiniz@gmail.com>
Build-Depends: debhelper-compat (= 13),
               dh-sequence-golang,
               golang-any,
               golang-github-burntsushi-toml-dev,
               golang-github-alessio-shellescape-dev,
               golang-github-evanphx-json-patch-dev,
               golang-github-google-safetext-dev,
               golang-github-mattn-go-isatty-dev,
               golang-github-pelletier-go-toml-dev,
               golang-github-pkg-errors-dev,
               golang-github-spf13-cobra-dev,
               golang-github-spf13-pflag-dev,
               golang-gopkg-yaml.v3-dev,
               golang-k8s-sigs-yaml-dev,
               help2man <!nodoc>
Testsuite: autopkgtest-pkg-go
Standards-Version: 4.7.0
Vcs-Browser: https://salsa.debian.org/kubernetes-team/packages/kind
Vcs-Git: https://salsa.debian.org/kubernetes-team/packages/kind.git
Homepage: https://github.com/kubernetes-sigs/kind
Rules-Requires-Root: no
XS-Go-Import-Path: sigs.k8s.io/kind

Package: kind
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends}
Recommends: docker.io
Built-Using: ${misc:Built-Using}
Description: Kubernetes IN Docker - local clusters for testing Kubernetes (program)
 kind is a tool designed for running local Kubernetes clusters by utilizing
 Docker containers as nodes.
 .
 Primarily designed for testing Kubernetes, its flexibility makes it suitable
 for local development or integrating with Continuous Integration (CI)
 pipelines.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/pkg-info.mk

export DH_GOLANG_EXCLUDES := images site
export DH_GOLANG_INSTALL_EXTRA := site/content/docs/user/kind-example-config.yaml

%:
	dh $@ --builddirectory=_build --buildsystem=golang

override_dh_auto_install:
	dh_auto_install -- --no-source

execute_before_dh_installman:
ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
	help2man debian/kind/usr/bin/kind \
		--no-info --no-discard-stderr \
		--version-string="$(DEB_VERSION_UPSTREAM)" \
		-n "Kubernetes IN Docker - local clusters for testing Kubernetes" > debian/kind.1
endif

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%,\
      uversionmangle=s/(\d)[_\.\-\+]?(RC|rc|pre|dev|beta|alpha)[.]?(\d*)$/$1~$2$3/" \
  https://github.com/kubernetes-sigs/kind/tags .*/v?(\d\S*)\.tar\.gz debian

## kind 0.24.0

=== debian/changelog ===
kind (0.24.0-1) unstable; urgency=medium

  * New upstream version 0.24.0
  * d/copyright: Update The Kubernetes Authors year to 2024

 -- Arthur Diniz <arthurbdiniz@gmail.com>  Mon, 26 Aug 2024 17:32:41 +0100

## kind 0.25.0

=== debian/changelog ===
kind (0.25.0-1) unstable; urgency=medium

  * New upstream version 0.25.0
  * d/rules: Skip tests requiring localhost ports
  * d/watch: Ignore non-stable releases in version matching

 -- Arthur Diniz <arthurbdiniz@gmail.com>  Thu, 14 Nov 2024 23:43:54 +0000

## kind 0.26.0

=== debian/changelog ===
kind (0.26.0-1) unstable; urgency=medium

  * New upstream version 0.26.0

 -- Arthur Diniz <arthurbdiniz@gmail.com>  Wed, 22 Jan 2025 21:36:03 +0000

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: kind
 Section: devel
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Kubernetes Packaging Team <team+kubernetes@tracker.debian.org>
+Maintainer: Debian Kubernetes Packaging Team <team+kubernetes@tracker.debian.org>
 Uploaders: Arthur Diniz <arthurbdiniz@gmail.com>
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-golang,

=== debian/rules ===
--- 
+++ 
@@ -11,6 +11,10 @@
 override_dh_auto_install:
 	dh_auto_install -- --no-source
 
+override_dh_auto_test:
+	# Skip tests that require opening localhost ports.
+	dh_auto_test -- -skip='TestPortOrGetFreePort/No_port|TestGetFreePort/listen_on_localhost'
+
 execute_before_dh_installman:
 ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
 	help2man debian/kind/usr/bin/kind \

## kind 0.27.0

=== debian/changelog ===
kind (0.27.0-1) unstable; urgency=medium

  * New upstream version 0.27.0
  * d/control: Bump Standards-Version to 4.7.2, no changes
  * d/copyright: Update Arthur debian author year to 2025
  * d/gitlab-ci.yml: Remove pipeline from go team
  * d/p/*:
    - Add patch to workaround shellescape package name change
    - Drop patch that skips test with docker dependencies
  * d/rules:
    - Enable hardening flags for non-MIPS architectures
    - Skip test that needs docker
  * d/salsa-ci.yml: Add Salsa CI default pipeline

 -- Arthur Diniz <arthurbdiniz@gmail.com>  Mon, 24 Mar 2025 16:29:10 +0000

## kind 0.29.0

=== Makefile ===
# Copyright 2019 The Kubernetes Authors.
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.

# Old-skool build tools.
# Simple makefile to build kind quickly and reproducibly
#
# Common uses:
# - installing kind: `make install INSTALL_DIR=$HOME/go/bin`
# - building: `make build`
# - cleaning up and starting over: `make clean`
#
################################################################################
# ========================== Capture Environment ===============================
# get the repo root and output path
REPO_ROOT:=${CURDIR}
OUT_DIR=$(REPO_ROOT)/bin
# record the source commit in the binary, overridable
COMMIT?=$(shell git rev-parse HEAD 2>/dev/null)
# count the commits since the last release
COMMIT_COUNT?=$(shell git describe --tags | rev | cut -d- -f2 | rev)
################################################################################
# ========================= Setup Go With Gimme ================================
# go version to use for build etc.
# setup correct go version with gimme
GOTOOLCHAIN:=$(shell . hack/build/gotoolchain.sh && echo "$${GOTOOLCHAIN}")
PATH:=$(shell . hack/build/setup-go.sh && echo "$${PATH}")
# go1.9+ can autodetect GOROOT, but if some other tool sets it ...
GOROOT:=
# enable modules
GO111MODULE=on
# disable CGO by default for static binaries
CGO_ENABLED=0
export PATH GOROOT GO111MODULE CGO_ENABLED GOTOOLCHAIN
# work around broken PATH export
SPACE:=$(subst ,, )
SHELL:=env PATH=$(subst $(SPACE),\$(SPACE),$(PATH)) $(SHELL)
################################################################################
# ============================== OPTIONS =======================================
# install tool
INSTALL?=install
# install will place binaries here, by default attempts to mimic go install
INSTALL_DIR?=$(shell hack/build/goinstalldir.sh)
# the output binary name, overridden when cross compiling
KIND_BINARY_NAME?=kind
# build flags for the kind binary
# - reproducible builds: -trimpath and -ldflags=-buildid=
# - smaller binaries: -w (trim debugger data, but not panics)
# - metadata: -X=... to bake in git commit
KIND_VERSION_PKG:=sigs.k8s.io/kind/pkg/cmd/kind/version
KIND_BUILD_LD_FLAGS:=-X=$(KIND_VERSION_PKG).gitCommit=$(COMMIT) -X=$(KIND_VERSION_PKG).gitCommitCount=$(COMMIT_COUNT)
KIND_BUILD_FLAGS?=-trimpath -ldflags="-buildid= -w $(KIND_BUILD_LD_FLAGS)"
################################################################################
# ================================= Building ===================================
# standard "make" target -> builds
all: build
# builds kind in a container, outputs to $(OUT_DIR)
kind:
	go build -v -o "$(OUT_DIR)/$(KIND_BINARY_NAME)" $(KIND_BUILD_FLAGS)
# alias for building kind
build: kind
# use: make install INSTALL_DIR=/usr/local/bin
install: build
	$(INSTALL) -d $(INSTALL_DIR)
	$(INSTALL) "$(OUT_DIR)/$(KIND_BINARY_NAME)" "$(INSTALL_DIR)/$(KIND_BINARY_NAME)"
################################################################################
# ================================= Testing ====================================
# unit tests (hermetic)
unit:
	MODE=unit hack/make-rules/test.sh
# integration tests
integration:
	MODE=integration hack/make-rules/test.sh
# all tests
test:
	hack/make-rules/test.sh
################################################################################
# ================================= Cleanup ====================================
# standard cleanup target
clean:
	rm -rf "$(OUT_DIR)/"
################################################################################
# ============================== Auto-Update ===================================
# update generated code, gofmt, etc.
update:
	hack/make-rules/update/all.sh
# update generated code
generate:
	hack/make-rules/update/generated.sh
# gofmt
gofmt:
	hack/make-rules/update/gofmt.sh
################################################################################
# ================================== Linting ===================================
# run linters, ensure generated code, etc.
verify:
	hack/make-rules/verify/all.sh
# code linters
lint:
	hack/make-rules/verify/lint.sh
# shell linter
shellcheck:
	hack/make-rules/verify/shellcheck.sh
#################################################################################
.PHONY: all kind build install unit clean update generate gofmt verify lint shellcheck

=== site/Makefile ===
REPO_ROOT:=${CURDIR}/..
# setup go for managing hugo
PATH:=$(shell cd $(REPO_ROOT) && . hack/build/setup-go.sh && echo "$${PATH}")
# go1.9+ can autodetect GOROOT, but if some other tool sets it ...
GOROOT:=
# enable modules
GO111MODULE=on
# disable CGO by default for static binaries
CGO_ENABLED=0
export PATH GOROOT GO111MODULE CGO_ENABLED
# work around broken PATH export
SPACE:=$(subst ,, )
SHELL:=env PATH=$(subst $(SPACE),\$(SPACE),$(PATH)) $(SHELL)

# from https://github.com/kubernetes/website/blob/master/Makefile
DOCKER       = docker
HUGO_VERSION = 0.60.0
DOCKER_IMAGE = jojomi/hugo:$(HUGO_VERSION)
DOCKER_RUN   = $(DOCKER) run --rm --interactive --tty --volume $(realpath $(CURDIR)/..):/src -p 1313:1313 --workdir /src/site --entrypoint=hugo --platform linux/amd64 $(DOCKER_IMAGE)

HUGO_BIN:=$(REPO_ROOT)/bin/hugo

$(HUGO_BIN):
	go build -o $(HUGO_BIN) github.com/gohugoio/hugo

hugo: $(HUGO_BIN)

serve: hugo
	$(HUGO_BIN) server --bind="0.0.0.0" \
	--ignoreCache \
	--buildFuture \
	--disableFastRender

build: hugo
	$(HUGO_BIN)

.PHONY: build serve hugo

=== images/base/Makefile ===
# Copyright 2020 The Kubernetes Authors.
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.

include $(CURDIR)/../Makefile.common.in

=== images/local-path-provisioner/Makefile ===
# Copyright 2022 The Kubernetes Authors.
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
VERSION=v0.0.30
EXTRA_BUILD_OPT=--build-arg=VERSION=$(VERSION)
include $(CURDIR)/../Makefile.common.in

=== debian/changelog ===
kind (0.29.0-1) unstable; urgency=medium

  * New upstream version 0.29.0

 -- Arthur Diniz <arthurbdiniz@gmail.com>  Sun, 10 Aug 2025 23:34:30 +0100

=== debian/control ===
--- 
+++ 
@@ -19,7 +19,7 @@
                golang-k8s-sigs-yaml-dev,
                help2man <!nodoc>
 Testsuite: autopkgtest-pkg-go
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/kubernetes-team/packages/kind
 Vcs-Git: https://salsa.debian.org/kubernetes-team/packages/kind.git
 Homepage: https://github.com/kubernetes-sigs/kind

=== debian/rules ===
--- 
+++ 
@@ -5,15 +5,23 @@
 export DH_GOLANG_EXCLUDES := images site
 export DH_GOLANG_INSTALL_EXTRA := site/content/docs/user/kind-example-config.yaml
 
+ifeq (,$(filter $(DEB_HOST_ARCH), mips mipsel mips64el))
+HARDENING := -buildmode=pie -ldflags="-extldflags -Wl,-z,now,-z,relro"
+endif
+
+
 %:
 	dh $@ --builddirectory=_build --buildsystem=golang
+
+override_dh_auto_build:
+	dh_auto_build -O --buildsystem=golang -- $(HARDENING)
 
 override_dh_auto_install:
 	dh_auto_install -- --no-source
 
 override_dh_auto_test:
 	# Skip tests that require opening localhost ports.
-	dh_auto_test -- -skip='TestPortOrGetFreePort/No_port|TestGetFreePort/listen_on_localhost'
+	dh_auto_test -- -skip='TestPortOrGetFreePort/No_port|TestGetFreePort/listen_on_localhost|TestIntegrationEnsureNetworkConcurrent'
 
 execute_before_dh_installman:
 ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%" \
  https://github.com/kubernetes-sigs/kind/tags .*/v?(\d[^-]+)\.tar\.gz debian

## kind 0.30.0

=== debian/changelog ===
kind (0.30.0-1) unstable; urgency=medium

  * New upstream version 0.30.0

 -- Arthur Diniz <arthurbdiniz@gmail.com>  Sat, 13 Dec 2025 17:46:34 +0000
